#ifndef PID_CONTROLLER_H
#define PID_CONTROLLER_H

class PIDController {
public:
  PIDController(double kp, double ki, double kd);
  double compute(double setpoint, double measured, double dt);
  void reset();
private:
  double Kp;
  double Ki;
  double Kd;
  double integral;
  double lastError;
};

#endif
