#include "Logger.h"

void Logger::init(unsigned long baudRate) {
  Serial.begin(baudRate);
  while(!Serial) { ; } // ggf. warten, falls erforderlich
}

void Logger::log(const String &msg, LogLevel level) {
  String prefix;
  switch(level) {
    case LOG_INFO:  prefix = "[INFO] "; break;
    case LOG_WARN:  prefix = "[WARN] "; break;
    case LOG_ERROR: prefix = "[ERROR] "; break;
  }
  Serial.println(prefix + msg);
}
