#ifndef LOGGER_H
#define LOGGER_H

#include <Arduino.h>

enum LogLevel {
  LOG_INFO,
  LOG_WARN,
  LOG_ERROR,
};

class Logger {
public:
  static void init(unsigned long baudRate = 115200);
  static void log(const String &msg, LogLevel level = LOG_INFO);
};

#endif
